Get Connection Activity Log
curl --request GET \
--url https://api.example.com/connections/{connection_id}/activityimport requests
url = "https://api.example.com/connections/{connection_id}/activity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/connections/{connection_id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/connections/{connection_id}/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/connections/{connection_id}/activity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/connections/{connection_id}/activity")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/connections/{connection_id}/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"connection_id": "<string>",
"activity": [
{
"timestamp": "2023-11-07T05:31:56Z",
"event_source": "API",
"event": "connection_created",
"details": "<string>",
"source_id_type": "dashboard_user",
"source_id_name": "<string>",
"connection_before": {
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890"
},
"connection_after": {
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
Get Connection Activity Log
Get a connection’s activity log, newest first
GET
/
connections
/
{connection_id}
/
activity
Get Connection Activity Log
curl --request GET \
--url https://api.example.com/connections/{connection_id}/activityimport requests
url = "https://api.example.com/connections/{connection_id}/activity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/connections/{connection_id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/connections/{connection_id}/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/connections/{connection_id}/activity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/connections/{connection_id}/activity")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/connections/{connection_id}/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"connection_id": "<string>",
"activity": [
{
"timestamp": "2023-11-07T05:31:56Z",
"event_source": "API",
"event": "connection_created",
"details": "<string>",
"source_id_type": "dashboard_user",
"source_id_name": "<string>",
"connection_before": {
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890"
},
"connection_after": {
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
A unique identifier for the connection